# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::CopyTexSubImage1D Class Reference

Wraps glCopyTexSubImage1D, see also CopyTexSubImage. More...

`#include <CopyTexSubImage.hpp>`

Inheritance diagram for vl::CopyTexSubImage1D:

List of all members.

## Public Member Functions
| CopyTexSubImage1D (int level, int xoffset, int x, int y, int width, Texture *texture=NULL, EReadDrawBuffer read_buffer=RDB_BACK_LEFT)
virtual const char * | className ()
| Returns the name of the class.
void | setTexture (Texture *tex)
void | setLevel (int level)
void | setXOffset (int xoffset)
void | setX (int x)
void | setY (int y)
void | setWidth (int width)
Texture * | texture ()
const Texture * | texture () const
int | level () const
int | xoffset () const
int | x () const
int | y () const
int | width () const
virtual void | copyPixels ()
| Copies the pixels from the specified read buffer to the specified texture.
## Protected Attributes
ref< Texture > | mTexture
int | mLevel
int | mXOffset
int | mX
int | mY
int | mWidth

## Detailed Description

Wraps glCopyTexSubImage1D, see also CopyTexSubImage.

## Constructor & Destructor Documentation

vl::CopyTexSubImage1D::CopyTexSubImage1D | ( | int | level,
|  | int | xoffset,
|  | int | x,
|  | int | y,
|  | int | width,
|  | Texture * | texture = `NULL`,
|  | EReadDrawBuffer | read_buffer = `RDB_BACK_LEFT` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::CopyTexSubImage1D::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderingCallback.

void vl::CopyTexSubImage1D::setTexture | ( | Texture * | tex | ) | `[inline]`

void vl::CopyTexSubImage1D::setLevel | ( | int | level | ) | `[inline]`

void vl::CopyTexSubImage1D::setXOffset | ( | int | xoffset | ) | `[inline]`

void vl::CopyTexSubImage1D::setX | ( | int | x | ) | `[inline]`

void vl::CopyTexSubImage1D::setY | ( | int | y | ) | `[inline]`

void vl::CopyTexSubImage1D::setWidth | ( | int | width | ) | `[inline]`

Texture* vl::CopyTexSubImage1D::texture | ( |  | ) | `[inline]`

const Texture* vl::CopyTexSubImage1D::texture | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage1D::level | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage1D::xoffset | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage1D::x | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage1D::y | ( |  | ) | const`[inline]`

int vl::CopyTexSubImage1D::width | ( |  | ) | const`[inline]`

virtual void vl::CopyTexSubImage1D::copyPixels | ( |  | ) | `[inline, virtual]`

Copies the pixels from the specified read buffer to the specified texture.

Implements vl::CopyTexSubImage.

## Member Data Documentation

ref<Texture> vl::CopyTexSubImage1D::mTexture`[protected]`

int vl::CopyTexSubImage1D::mLevel`[protected]`

int vl::CopyTexSubImage1D::mXOffset`[protected]`

int vl::CopyTexSubImage1D::mX`[protected]`

int vl::CopyTexSubImage1D::mY`[protected]`

int vl::CopyTexSubImage1D::mWidth`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/CopyTexSubImage.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.